VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::SerialTypes::Info Class Reference

The `Serial.Info` class contains information about a virtual serial port. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
string | GetLabel ()
| Device label.
void | SetLabel (string label)
| Device label.
bool | GetYieldOnPoll ()
| CPU yield behavior.
void | SetYieldOnPoll (bool yieldOnPoll)
| CPU yield behavior.
vmware.vcenter.vm.hardware.SerialTypes.BackingInfo | GetBacking ()
| Physical resource backing for the virtual serial port.
void | SetBacking (vmware.vcenter.vm.hardware.SerialTypes.BackingInfo backing)
| Physical resource backing for the virtual serial port.
vmware.vcenter.vm.hardware.ConnectionState | GetState ()
| Connection status of the virtual device.
void | SetState (vmware.vcenter.vm.hardware.ConnectionState state)
| Connection status of the virtual device.
bool | GetStartConnected ()
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
void | SetStartConnected (bool startConnected)
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
bool | GetAllowGuestControl ()
| Flag indicating whether the guest can connect and disconnect the device.
void | SetAllowGuestControl (bool allowGuestControl)
| Flag indicating whether the guest can connect and disconnect the device.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Serial.Info` class contains information about a virtual serial port.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::SerialTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::SerialTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::SerialTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::SerialTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::SerialTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::SerialTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::SerialTypes::Info::Equals | ( | object | obj | ) | `[inline]`

bool vmware::vcenter::vm::hardware::SerialTypes::Info::GetAllowGuestControl | ( |  | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

vmware.vcenter.vm.hardware.SerialTypes.BackingInfo vmware::vcenter::vm::hardware::SerialTypes::Info::GetBacking | ( |  | ) | `[inline]`

Physical resource backing for the virtual serial port.

override int vmware::vcenter::vm::hardware::SerialTypes::Info::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::vm::hardware::SerialTypes::Info::GetLabel | ( |  | ) | `[inline]`

Device label.

bool vmware::vcenter::vm::hardware::SerialTypes::Info::GetStartConnected | ( |  | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

vmware.vcenter.vm.hardware.ConnectionState vmware::vcenter::vm::hardware::SerialTypes::Info::GetState | ( |  | ) | `[inline]`

Connection status of the virtual device.

bool vmware::vcenter::vm::hardware::SerialTypes::Info::GetYieldOnPoll | ( |  | ) | `[inline]`

CPU yield behavior.

If set to true, the virtual machine will periodically relinquish the processor if its sole task is polling the virtual serial port. The amount of time it takes to regain the processor will depend on the degree of other virtual machine activity on the host.

void vmware::vcenter::vm::hardware::SerialTypes::Info::SetAllowGuestControl | ( | bool | allowGuestControl | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

void vmware::vcenter::vm::hardware::SerialTypes::Info::SetBacking | ( | vmware.vcenter.vm.hardware.SerialTypes.BackingInfo | backing | ) | `[inline]`

Physical resource backing for the virtual serial port.

void vmware::vcenter::vm::hardware::SerialTypes::Info::SetLabel | ( | string | label | ) | `[inline]`

Device label.

void vmware::vcenter::vm::hardware::SerialTypes::Info::SetStartConnected | ( | bool | startConnected | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

void vmware::vcenter::vm::hardware::SerialTypes::Info::SetState | ( | vmware.vcenter.vm.hardware.ConnectionState | state | ) | `[inline]`

Connection status of the virtual device.

void vmware::vcenter::vm::hardware::SerialTypes::Info::SetYieldOnPoll | ( | bool | yieldOnPoll | ) | `[inline]`

CPU yield behavior.

If set to true, the virtual machine will periodically relinquish the processor if its sole task is polling the virtual serial port. The amount of time it takes to regain the processor will depend on the degree of other virtual machine activity on the host.

override string vmware::vcenter::vm::hardware::SerialTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SerialTypes.cs